Subject: Re: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Elijah Gabe Pérez <[email-masked]>
Date: Tue, 22 Apr 2025 13:36:09 -0600

Sean Whitton writes:

> Hello,
>
> Okay, thanks, I understand better now what you're trying to accomplish.
>
> This isn't fundamentally about comments at all.  For example, these
> multichar pairs could include the opening "case" and closing "esac" in a
> shell script, right?
>

Honestly, I always had in mind that it would be for comments.

So if your type /*, it will automatically insert
/*  */
  ^ cursor in middle both spaces

(including spaces an maybe newlines)

It was similar to what I saw in the cc modes and smartparens-mode

If that's right, then I'm not sure a new electric minor mode is the
> right thing.  We already have abbrevs and skeletons which work for this
> sort of thing.  Indeed, this is exactly how sh-case is already
> implemented.

But those do not expand immediately AFAIK; like if you type "{"